>From b0984db5e6b173ddc0430a5c585497a36241fbcc Mon Sep 17 00:00:00 2001
From: Erwan Tulou <brezhoneg1@yahoo.fr>
Date: Mon, 2 Mar 2009 17:05:09 +0100
Subject: [PATCH] Dialogs:destroy move from the Close function, because it prevents skins2 normal cleanup (Close function is never called because refcount remains > 1)

---
 modules/gui/skins2/src/skin_main.cpp |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/modules/gui/skins2/src/skin_main.cpp b/modules/gui/skins2/src/skin_main.cpp
index be5bb55..9590e77 100644
--- a/modules/gui/skins2/src/skin_main.cpp
+++ b/modules/gui/skins2/src/skin_main.cpp
@@ -244,7 +244,7 @@ static void Close( vlc_object_t *p_this )
     // Destroy "singleton" objects
     OSFactory::instance( p_intf )->destroyOSLoop();
     ThemeRepository::destroy( p_intf );
-    Dialogs::destroy( p_intf );
+    //Dialogs::destroy( p_intf );
     Interpreter::destroy( p_intf );
     AsyncQueue::destroy( p_intf );
     VarManager::destroy( p_intf );
@@ -286,6 +286,10 @@ static void Run( intf_thread_t *p_intf )
         delete p_intf->p_sys->p_theme;
         p_intf->p_sys->p_theme = NULL;
     }
+
+    // cannot be called in "Close", because it refcounts skins2
+    Dialogs::destroy( p_intf );
+
     vlc_restorecancel(canc);
 }
 
-- 
1.5.2.5

